Package org.eclipse.ecf.provider.generic.gmm

# Class GMMImpl

java.lang.Object
java.util.Observable
org.eclipse.ecf.provider.generic.gmm.GMMImpl

public class GMMImpl extends Observable

## Constructor Summary

Constructors
Constructor
Description
`GMMImpl()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addMember(Member m)`
`boolean`
`containsMember(Member m)`
`ID[]`
`getMemberIDs(ID exclude)`
`Object[]`
`getMembers()`
`int`
`getSize()`
`Iterator`
`iterator()`
`void`
`removeAllMembers()`
`boolean`
`removeMember(Member m)`
`String`
`toString()`

### Methods inherited from class java.util.Observable

`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GMMImpl

public GMMImpl()

## Method Details

### addMember

public boolean addMember(Member m)

### removeMember

public boolean removeMember(Member m)

### removeAllMembers

public void removeAllMembers()

### getMembers

public Object[] getMembers()

### getMemberIDs

public ID[] getMemberIDs(ID exclude)

### getSize

public int getSize()

### containsMember

public boolean containsMember(Member m)

### iterator

public Iterator iterator()

### toString

public String toString()

Overrides:
  `toString` in class `Object`